Project

General

Profile

Bug #2702

xf86-video-ati

pisechka - over 1 year ago - . Updated over 1 year ago.

Status:
duplicate
Priority:
bug
Assignee:
-
% Done:

0%


Description

My computer so much time can't start X with 1:19.1.0-1 but work correctly with old driver 1:19.0.1-1


Related issues

Related to Packages - Bug #2511: [xf86-video-ati]: X can't startconfirmed

Actions
Related to Packages - Bug #2517: xf86-video-ati breaks xorgduplicate

Actions

History

#1

Updated by pisechka over 1 year ago

Card radeon hd 6310

#2

Updated by sobek over 1 year ago

I have the same issue with an AMD Radeon HD 5450 (on a kgpe-d16 from vikings.net):
$ lspci -nn
...
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Cedar [Radeon HD 5000/6000/7350/8350 Series] [1002:68f9]
...

With "xf86-video-ati-1:19.0.1-1" X starts without problem.
With "xf86-video-ati-1:19.0.1-1" and "xf86-video-ati-1:19.0.1-2" X does not start. I see only a solid cursor in the upper left corner. I cannot switch to a TTY with Ctrl+Shift+Fx. I must use a different computer and fix the problem by downgrading the package with:
$ cd /var/cache/pacman/pkg && sudo pacman -U xf86-video-ati-1\:19.0.1-1-x86_64.pkg.tar.xz
...
warning: downgrading package xf86-video-ati (1:19.1.0-1 => 1:19.0.1-1)
...

Kernel version does not matter from my point of view. The "xf86-video-ati-1:19.0.1-1" version works with these kernels:
$ uname -a
Linux kgpe-d16 5.5.7-gnu-1 #1 SMP PREEMPT Mon, 02 Mar 2020 22:54:55 +0000 x86_64 GNU/Linux
$ uname -a
Linux kgpe-d16 5.6.12-gnu-1 #1 SMP PREEMPT Mon, 11 May 2020 15:07:26 +0000 x86_64 GNU/Linux

#3

Updated by sobek over 1 year ago

To me it seems this ticket is a duplicate of Bug #2517

#4

Updated by bill-auger over 1 year ago

possibly related to #2511
possibly related to #2517

#5

Updated by bill-auger over 1 year ago

  • Related to Bug #2511: [xf86-video-ati]: X can't start added
#6

Updated by bill-auger over 1 year ago

  • Related to Bug #2517: xf86-video-ati breaks xorg added
#7

Updated by bill-auger over 1 year ago

  • Status changed from unconfirmed to duplicate

Issue #2511 has been updated by Megver83.

If downgrading xf86-video-ati solves the issue, then it is not a firmware problem.
Issue #2511 shows the real problem with X, please, follow up that thread.

Also available in: Atom PDF